Bug 202927 - x11-toolkits/qt4-gui post-install info looks out of date
Summary: x11-toolkits/qt4-gui post-install info looks out of date
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-06 09:45 UTC by David Chisnall
Modified: 2015-12-05 13:51 UTC (History)
1 user (show)

See Also:
rakuco: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Chisnall freebsd_committer 2015-09-06 09:45:18 UTC
The installation suggests setting:

kern.ipc.shmall=32768
kern.ipc.shmmni=1024
kern.ipc.shmseg=1024


The default values on 10.0 are:

kern.ipc.shmall: 131072
kern.ipc.shmmni: 192
kern.ipc.shmseg: 128

Suggesting lowering the maximum number of pages available for shared pages doesn't seem sensible.  The other default limits look as if they ought to be high enough (kern.ipc.shmseg is the number of shm segments that each process can have open, so should be fine.  kern.ipc.shmmni is the total number of shm objects, so might need lowering).

If the defaults are too low for KDE to work, please file a bugs against base (and add me to the cc list).  It's ludicrous for us to be shipping a default install that doesn't work with modern applications.
Comment 1 Raphael Kubo da Costa freebsd_committer 2015-12-03 16:26:13 UTC
My guess is that those were added at a time when the FreeBSD releases we had to support in the ports tree did not all include those limit changes (base r209037 is not in the 8.x branch at least).

I have no objection to getting rid of pkg-message altogether.
Comment 2 commit-hook freebsd_committer 2015-12-03 16:36:54 UTC
A commit references this bug:

Author: rakuco
Date: Thu Dec  3 16:36:26 UTC 2015
New revision: 402882
URL: https://svnweb.freebsd.org/changeset/ports/402882

Log:
  Remove x11-toolkit/qt4-gui's pkg-message.

  Back in mid-2012 (ports revisions r297367 and r299321), pkg-message was
  added to the port suggesting changes to the default shared memory limits in
  loader.conf(5). Since then, the default limits have been changed and the
  values suggested by the port are no longer sensible (base r209037, present
  in all supported FreeBSD releases).

  According to theraven@:
    Suggesting lowering the maximum number of pages available for shared pages
    doesn't seem sensible. The other default limits look as if they ought to
    be high enough (kern.ipc.shmseg is the number of shm segments that each
    process can have open, so should be fine. kern.ipc.shmmni is the total
    number of shm objects, so might need lowering).

  Follow his advice and drop the suggestions from pkg-message.

  PR:		202927
  Submitted by:	theraven@
  MFH:		2015Q4

Changes:
  head/UPDATING
  head/x11-toolkits/qt4-gui/pkg-message
Comment 3 commit-hook freebsd_committer 2015-12-03 16:39:56 UTC
A commit references this bug:

Author: rakuco
Date: Thu Dec  3 16:39:25 UTC 2015
New revision: 402883
URL: https://svnweb.freebsd.org/changeset/ports/402883

Log:
  Drop x11-toolkits/qt5-gui's pkg-message too.

  It contains the same suggestions that were dropped from its Qt4 counterpart
  in r402882. Mention both ports in UPDATING.

  PR:		202927
  Submitted by:	theraven@
  MFH:		2015Q4

Changes:
  head/UPDATING
  head/x11-toolkits/qt5-gui/pkg-message
Comment 4 commit-hook freebsd_committer 2015-12-05 13:51:15 UTC
A commit references this bug:

Author: rakuco
Date: Sat Dec  5 13:50:34 UTC 2015
New revision: 403066
URL: https://svnweb.freebsd.org/changeset/ports/403066

Log:
  MFH: r402882 r402883

  Remove x11-toolkit/qt4-gui's pkg-message.

  Back in mid-2012 (ports revisions r297367 and r299321), pkg-message was
  added to the port suggesting changes to the default shared memory limits in
  loader.conf(5). Since then, the default limits have been changed and the
  values suggested by the port are no longer sensible (base r209037, present
  in all supported FreeBSD releases).

  According to theraven@:
    Suggesting lowering the maximum number of pages available for shared pages
    doesn't seem sensible. The other default limits look as if they ought to
    be high enough (kern.ipc.shmseg is the number of shm segments that each
    process can have open, so should be fine. kern.ipc.shmmni is the total
    number of shm objects, so might need lowering).

  Follow his advice and drop the suggestions from pkg-message.

  PR:		202927
  Submitted by:	theraven@

  Drop x11-toolkits/qt5-gui's pkg-message too.

  It contains the same suggestions that were dropped from its Qt4 counterpart
  in r402882. Mention both ports in UPDATING.

  PR:		202927
  Submitted by:	theraven@

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/x11-toolkits/qt4-gui/pkg-message
  branches/2015Q4/x11-toolkits/qt5-gui/pkg-message
Comment 5 commit-hook freebsd_committer 2015-12-05 13:51:16 UTC
A commit references this bug:

Author: rakuco
Date: Sat Dec  5 13:50:35 UTC 2015
New revision: 403066
URL: https://svnweb.freebsd.org/changeset/ports/403066

Log:
  MFH: r402882 r402883

  Remove x11-toolkit/qt4-gui's pkg-message.

  Back in mid-2012 (ports revisions r297367 and r299321), pkg-message was
  added to the port suggesting changes to the default shared memory limits in
  loader.conf(5). Since then, the default limits have been changed and the
  values suggested by the port are no longer sensible (base r209037, present
  in all supported FreeBSD releases).

  According to theraven@:
    Suggesting lowering the maximum number of pages available for shared pages
    doesn't seem sensible. The other default limits look as if they ought to
    be high enough (kern.ipc.shmseg is the number of shm segments that each
    process can have open, so should be fine. kern.ipc.shmmni is the total
    number of shm objects, so might need lowering).

  Follow his advice and drop the suggestions from pkg-message.

  PR:		202927
  Submitted by:	theraven@

  Drop x11-toolkits/qt5-gui's pkg-message too.

  It contains the same suggestions that were dropped from its Qt4 counterpart
  in r402882. Mention both ports in UPDATING.

  PR:		202927
  Submitted by:	theraven@

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/x11-toolkits/qt4-gui/pkg-message
  branches/2015Q4/x11-toolkits/qt5-gui/pkg-message